package controller

import (
	"ai-css/models"
	"fmt"

	"github.com/gin-gonic/gin"
)

func GetConfigs(c *gin.Context) {
	kefuName, _ := c.Get("kefu_name")
	configs := models.FindConfigsByUserId(kefuName)
	c.JSON(200, gin.H{
		"code":   200,
		"msg":    "ok",
		"result": configs,
	})
}
func GetConfig(c *gin.Context) {
	key := c.Query("key")
	config := models.FindConfig(key)
	c.JSON(200, gin.H{
		"code":   200,
		"msg":    "ok",
		"result": config,
	})
}
func PostConfig(c *gin.Context) {
	key := c.PostForm("key")
	value := c.PostForm("value")
	kefuName, _ := c.Get("kefu_name")
	userInfo := models.FindUser(fmt.Sprintf("%v", kefuName))
	if key == "" ||
		(key == "AIPrompt" || key == "FrequentlyAskedQuestions") && userInfo.Role != 1 {
		errDesc := "无权限修改"
		if key == "" {
			errDesc = "参数错误"
		}
		c.JSON(200, gin.H{
			"code": 400,
			"msg":  errDesc,
		})
		return
	}
	models.UpdateConfig(kefuName, key, value)

	c.JSON(200, gin.H{
		"code":   200,
		"msg":    "ok",
		"result": "",
	})
}
